Bug 244730 - mkinitrd doesn't include nosegneg libraries for xen initrd
mkinitrd doesn't include nosegneg libraries for xen initrd
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Peter Jones
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-18 15:38 EDT by Eduardo Habkost
Modified: 2007-12-01 11:58 EST (History)
1 user (show)

See Also:
Fixed In Version: 6.0.19-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-01 01:47:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
New version of mkinitrd-6.0.9-nosegneg.patch that fixes the problem (1.25 KB, patch)
2007-06-18 16:20 EDT, Eduardo Habkost
no flags Details | Diff

  None (edit)
Description Eduardo Habkost 2007-06-18 15:38:33 EDT
As reported on bug #243756 (comment #14), the initrd generated for xen kernels 
is not including the nosegneg libraries, that are required when running xen 
kernels.

There is code on mkinitrd that is supposed to always use the nosegneg 
libraries, but it is not working. The following snipped is from 
mkinitrd-6.0.9-7.

# Prefer nosegneg libs over direct segment accesses on i686.
if [ -f "$LIBDIR/i686/nosegneg/$BASE" ]; then
   FILE="$LIBDIR/i686/nosegneg/$BASE"
[...]


Not using the nosegneg libraries may cause the "4gb seg fixup" messages 
reported on bug #215201.

This bug is probably present on Fedora Core 6 and Fedora 7, also.
Comment 1 Eduardo Habkost 2007-06-18 16:20:02 EDT
Created attachment 157323 [details]
New version of mkinitrd-6.0.9-nosegneg.patch that fixes the problem
Comment 2 Peter Jones 2007-07-31 17:10:50 EDT
Modified in mkinitrd-6.0.10-1 .
Comment 3 Eduardo Habkost 2007-09-27 15:04:43 EDT
Cloned for Fedora 7 as bug #309651.

Note You need to log in before you can comment on or make changes to this bug.